using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查内容
    /// </summary>
    [Description("操作日志")]
    public class T_BS_OPERATE_LOG : MesEntityBase
    {
        /// <summary>
        /// 操作类型 安全检查/隐患上报（对应的 DATA_ID 不一样）
        /// </summary>
        [Description("操作类型")]
        public LOGTYPE_Enums LOGTYPE { get; set; }

        /// <summary>
        /// 表单ID 
        /// </summary>
        [Description("表单ID")]
        public Guid DATA_ID { get; set; }

        /// <summary>
        /// 表单明细ID
        /// </summary>
        [Description("表单明细ID")]
        public Guid? DATA_ID_SUB { get; set; }

        /// <summary>
        /// 操作节点
        /// </summary>
        [Description("操作节点")]
        public OPERATEPOINT_Enums OPERATEPOINT { get; set; }

        /// <summary>
        /// 操作人（需要操作的人） 
        /// </summary>
        [Description("操作人")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 操作人
        /// </summary>
        [Description("操作人")]
        public string USRTNAME { get; set; }

        /// <summary>
        /// 排序 比如审批 可能多节点
        /// </summary>
        [Description("排序")]
        public int ORDERNO { get; set; }

        /// <summary>
        /// 操作时间  
        /// </summary>
        [Description("操作时间")]
        public DateTime? OPERTETIME { get; set; }

        /// <summary>
        /// 是否按时
        /// </summary>
        [Description("是否按时")]
        public bool? ISINTTIME { get; set; }
    }
}